# Unifi-Controller Ansible role

This role installs Unifi-Controller via Docker compose.

## Requirements

None

## Role Variables

All variables are listed below (see also `defaults/main.yml`).

### Generic variables

- `unifi_image`: The docker image to be used for the unifi controller. Defaults to `lscr.io/linuxserver/unifi-controller:latest`

- `unifi_uid`: Owner UID. Defaults to `1000`
- `unifi_gid`: Owner GID. Defaults to `1000`
- `unifi_mem_limit`: Java memory limit for the controller. Defaults to `1024`
- `unifi_mem_startup`: Java default memory at startup. Defaults to `1024`

- `unifi_volume`: The volume where the controller saves local data like configuration and logs. Defaults to `"unifi"`

### Ports

- `unifi_http_port_8443`: Internal 8443 port to be exposed at. Defaults to `8443`
- `unifi_http_port_3478`: Internal 3478 port to be exposed at. Defaults to `3478`
- `unifi_http_port_10001`: Internal 10001 port to be exposed at. Defaults to `10001`
- `unifi_http_port_8080`: Internal 8080 port to be exposed at. Defaults to `8080`

Following are optional ports. If not declared (empty) they are not exposed

- `unifi_http_port_1900`: Internal 1900 port to be exposed at. Defaults to `1900`
- `unifi_http_port_8843`: Internal 8843 port to be exposed at. Defaults to `8843`
- `unifi_http_port_8880`: Internal 8880 port to be exposed at. Defaults to `8880`
- `unifi_http_port_6789`: Internal 6789 port to be exposed at. Defaults to `6789`
 -`unifi_http_port_5514`: Internal 5514 port to be exposed at. Defaults to `5514`

### Paths and volumes

unifi_root_path: /var/local
unifi_data_base:  "{{ unifi_root_path }}/unifi-controller"
unifi_config_path: "{{ unifi_root_path }}/conf/unifi-controller"

The following fields are internal. You can change them to further customise how you apply the role. For more details, please look into the `defaults` directory.

- `unifi_skeleton_paths`: The list of paths to be created by the role
- `unifi_configuration_files`: The configuration files generated by the role

## Dependencies

You need a machine with docker and docker-compose installed.

## Example Playbook

```yml
- hosts: servers
  roles:
      - 'laurivan.unifi_controller'
```

## License

This project is licensed under the [MIT](https://opensource.org/licenses/MIT) license - see the [LICENSE](LICENSE) file for details.

![MIT License](https://img.shields.io/badge/license-MIT%20License-brightgreen)

## Author Information

This role was created in 2023 by [Laur Ivan](https://www.laurivan.com).

## Built With

![Ansible](https://img.shields.io/badge/ansible-8.3.0-green.svg)
![Molecule](https://img.shields.io/badge/molecule-6.0.2-green.svg)

## Contributing

Please read [CONTRIBUTING.md](CONTRIBUTING.md) for details on our code of conduct, and the process for submitting pull requests to us.
